> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/models/v3extensionswebhookswebhookresponse.md).

# V3ExtensionsWebhooksWebhookResponse

## Fields

| Field                          | Type                                                                                                                                         | Required             | Description                                              |
| ------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------- | -------------------- | -------------------------------------------------------- |
| `name`                         | *str*                                                                                                                                        | :heavy\_check\_mark: | Name of the webhook                                      |
| `description`                  | *Optional\[str]*                                                                                                                             | :heavy\_minus\_sign: | Description of the webhook                               |
| `triggers`                     | List\[[models.V3ExtensionsWebhooksWebhookTrigger](/python-sdk/docs/models/v3extensionswebhookswebhooktrigger.md)]                            | :heavy\_check\_mark: | A list of triggers for this webhook                      |
| `urls`                         | List\[[models.V3ExtensionsWebhooksWebhookURL](/python-sdk/docs/models/v3extensionswebhookswebhookurl.md)]                                    | :heavy\_check\_mark: | A list of URLs to which the webhook payload will be sent |
| `header`                       | [OptionalNullable\[models.V3ExtensionsWebhooksWebhookResponseHeader\]](/python-sdk/docs/models/v3extensionswebhookswebhookresponseheader.md) | :heavy\_minus\_sign: | Headers to be sent with the webhook                      |
| `filters`                      | [OptionalNullable\[models.V3ExtensionsWebhooksWebhookFilter\]](/python-sdk/docs/models/v3extensionswebhookswebhookfilter.md)                 | :heavy\_minus\_sign: | Filters to apply to the webhook                          |
| `max_retry`                    | *Optional\[int]*                                                                                                                             | :heavy\_minus\_sign: | Maximum number of retries for the webhook                |
| `teams`                        | List\[*str*]                                                                                                                                 | :heavy\_minus\_sign: | List of team IDs to which this webhook is applicable     |
| `is_all_teams_configured`      | *Optional\[bool]*                                                                                                                            | :heavy\_minus\_sign: | Set to true if the webhook is configured for all teams   |
| `custom_payload_template_slug` | *Optional\[str]*                                                                                                                             | :heavy\_minus\_sign: | Slug of the custom payload template                      |
| `language`                     | *Optional\[str]*                                                                                                                             | :heavy\_minus\_sign: | Language for the webhook payload                         |
| `mail_ids`                     | List\[*str*]                                                                                                                                 | :heavy\_minus\_sign: | List of email IDs for notification                       |
| `trigger_type`                 | *str*                                                                                                                                        | :heavy\_check\_mark: | Type of trigger                                          |
| `custom_payload`               | *Optional\[str]*                                                                                                                             | :heavy\_minus\_sign: | Custom payload for the webhook                           |
| `payload_type`                 | *Optional\[str]*                                                                                                                             | :heavy\_minus\_sign: | Type of payload                                          |
| `id`                           | *str*                                                                                                                                        | :heavy\_check\_mark: | N/A                                                      |
| `created_at`                   | *str*                                                                                                                                        | :heavy\_check\_mark: | N/A                                                      |
| `updated_at`                   | *str*                                                                                                                                        | :heavy\_check\_mark: | N/A                                                      |
| `organization_id`              | *Optional\[str]*                                                                                                                             | :heavy\_minus\_sign: | N/A                                                      |
| `author_id`                    | *str*                                                                                                                                        | :heavy\_check\_mark: | N/A                                                      |
| `slug`                         | *str*                                                                                                                                        | :heavy\_check\_mark: | N/A                                                      |
| `version`                      | *Optional\[str]*                                                                                                                             | :heavy\_minus\_sign: | N/A                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/models/v3extensionswebhookswebhookresponse.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
